Page MenuHomePhabricator

The language option in preferences does not get updated when changing the language via setlang or via API
Closed, ResolvedPublic

Description

Steps to reproduce:

The same problem also happens when changing via API setoption though the ULS.

A reload of the preferences with bypassing the cache (Ctrl + Alt + R) shows the correct setting.

Event Timeline

Fomafix created this task.Mar 28 2016, 12:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 28 2016, 12:20 PM

Hmm, the selected option seams to get cached by my Firefox not by MediaWiki.

autocomplete="off" solves the problem.

Change 280154 had a related patch set uploaded (by Gerrit Patch Uploader):
Preferences: Add autocomplete="off" to preferences form

https://gerrit.wikimedia.org/r/280154

Fomafix claimed this task.Mar 29 2016, 5:10 AM
Fomafix triaged this task as Low priority.

This problem seams to be specific to Firefox.

Change 280154 merged by jenkins-bot:
Preferences: Add autocomplete="off" to preferences form

https://gerrit.wikimedia.org/r/280154

Fomafix closed this task as Resolved.Aug 16 2016, 8:59 PM

The described problem is fixed. The change https://gerrit.wikimedia.org/r/280938 for simplifying the attribute is still pending.